<?php
/*
Plugin Name: Pad Software Shortcode
Plugin URI: http://www.nsauditor.com/wordpress/pad-software-shortcode/
Description: The plugin allows to retrieve software information from PAD file and embed in your post/page content using shortcode [PadSoftwareShortcode]
Author: Varuzhan Kankanyan
Author URI: http://www.nsauditor.com
Version: 1.0.1
License: GNU General Public License version 2.0 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/


if ( !class_exists("PADFile") ) include_once("padfile.php");

function displaySoftwarePadShortcodeInfo($padurl,$viewmode='small')
{
	$padurl=esc_url($padurl);
	if (!in_array($viewmode,array("small","medium","large"))) $viewmode="small";

	if($padurl!='')
	{
		$PAD = new PADFile($padurl);

		// Load file
		if ( $PAD->Load() )
		  {
				$progName=$PAD->XML->GetValue("XML_DIZ_INFO/Program_Info/Program_Name");
				$progVer=$PAD->XML->GetValue("XML_DIZ_INFO/Program_Info/Program_Version");				
				$infoUrl=$PAD->XML->GetValue("XML_DIZ_INFO/Web_Info/Application_URLs/Application_Info_URL");
				$orderUrl=$PAD->XML->GetValue("XML_DIZ_INFO/Web_Info/Application_URLs/Application_Order_URL");
				$screenshotUrl=$PAD->XML->GetValue("XML_DIZ_INFO/Web_Info/Application_URLs/Application_Screenshot_URL");
				$downloadUrl=$PAD->XML->GetValue("XML_DIZ_INFO/Web_Info/Download_URLs/Primary_Download_URL");				
				$desc80=$PAD->XML->GetValue("XML_DIZ_INFO/Program_Descriptions/English/Char_Desc_80");
				$desc250=$PAD->XML->GetValue("XML_DIZ_INFO/Program_Descriptions/English/Char_Desc_250");
				$desc450=$PAD->XML->GetValue("XML_DIZ_INFO/Program_Descriptions/English/Char_Desc_450");	
				$desc2000=$PAD->XML->GetValue("XML_DIZ_INFO/Program_Descriptions/English/Char_Desc_2000");
				
				// Display Widget
				if($viewmode === "small")
				{
					$softwid = '
					<div style="margin-bottom:10px;">
						<div><center><a href="'.$infoUrl.'"><b>'.$progName.' '.$progVer.'</b></a></center></div>
						<div><center><a href="'.$infoUrl.'"><i>'.$desc80.'</i></a></center></div>
						<div style="margin-top:10px;">
							<div style="float:left;padding-right:15px;"><a href="'.$infoUrl.'"><img src="'.$screenshotUrl.'" alt="'.$desc80.'" style="max-width: 143px;max-height: 127px;" border="0" /></a></div>
							<div><span>'.$desc250.'</span></div>		
						</div>
						<div style="margin-top:10px;"><center><a href="'.$orderUrl.'">Buy Now</a> | <a href="'.$downloadUrl.'">Download</a> | <a href="'.$infoUrl.'">Learn More</a></center></div>
					</div>
					';				
				}
				elseif($viewmode === "medium")
				{
					$softwid = '
					<div style="margin-bottom:10px;">
						<div><center><a href="'.$infoUrl.'"><b>'.$progName.' '.$progVer.'</b></a></center></div>
						<div><center><a href="'.$infoUrl.'"><i>'.$desc80.'</i></a></center></div>
						<div style="margin-top:10px;">
							<div style="float:left;padding-right:15px;"><a href="'.$infoUrl.'"><img src="'.$screenshotUrl.'" alt="'.$desc80.'" style="max-width: 300px;max-height: 200px;" border="0" /></a></div>
							<div><span>'.$desc450.'</span></div>		
						</div>
						<div style="margin-top:10px;"><center><a href="'.$orderUrl.'">Buy Now</a> | <a href="'.$downloadUrl.'">Download</a> | <a href="'.$infoUrl.'">Learn More</a></center></div>
					</div>
					';					
				}
				else
				{
					$softwid = '
					<div style="margin-bottom:10px;">
						<div><center><a href="'.$infoUrl.'"><b>'.$progName.' '.$progVer.'</b></a></center></div>
						<div><center><a href="'.$infoUrl.'"><i>'.$desc80.'</i></a></center></div>
						<div style="margin-top:10px;"><center><a href="'.$infoUrl.'"><img src="'.$screenshotUrl.'" alt="'.$desc80.'" style="max-width: 450px;max-height: 300px;" border="0" /></a></center></div>
						<div style="margin-top:10px;"><span>'.$desc2000.'</span></div>	
						<div style="margin-top:10px;"><center><a href="'.$orderUrl.'">Buy Now</a> | <a href="'.$downloadUrl.'">Download</a> | <a href="'.$infoUrl.'">Learn More</a></center></div>
					</div>
					';					
				}				
				
				echo $softwid;		  
		  }		

		unset($PAD);	
	}
}	

function handleSoftwarePadShortcode($atts)
{	
	extract( shortcode_atts( array(
			  'padurl' => '',
			  'viewmode' => 'small'
		 ), $atts, 'PadSoftwareShortcode' ) );			 	
	
	if(is_singular())
		return displaySoftwarePadShortcodeInfo(esc_attr($padurl),esc_attr($viewmode));
	
	return	'';
}

add_shortcode( 'PadSoftwareShortcode', 'handleSoftwarePadShortcode' );

?>